Name: fortune-cs
Version: 2.0.9
Release: 2%{?dist}
Summary: Database of the Czech and Slovak fortune cookies.
Source:  ftp://ftp.ibiblio.org/pub/linux/games/amusements/fortune/%{name}-%{version}.tar.bz2
Source1: x-fortune-cs.sh
Source2: x-fortune-cs.csh
License: Distributable
Group:   Amusements/Games
Vendor:  Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
URL:     https://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-cs-2.0.9.tar.bz2
Requires: fortune-mod >= 1.99.1
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: fortune-mod >= 1.99.1, coreutils
Obsoletes: fortune-cs.i386 fortune-cs.x86_64

%description
This is a database of the Czech and Slovak cookies for the fortune (6)
program. It requires fortune-mod RPM installed.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
PREFIX=$RPM_BUILD_ROOT sh ./install.sh
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m755 $RPM_SOURCE_DIR/x-fortune-cs.sh \
              $RPM_BUILD_ROOT/etc/profile.d/x-fortune-cs.sh
install -m755 $RPM_SOURCE_DIR/x-fortune-cs.csh \
              $RPM_BUILD_ROOT/etc/profile.d/x-fortune-cs.csh
# remove unneded docs (will be installed by %doc)
rm -rf $RPM_BUILD_ROOT/usr/share/doc
# remove silly fortunes
#rm -fv $RPM_BUILD_ROOT/usr/share/games/fortune/cs*/market* \
#       $RPM_BUILD_ROOT/usr/share/games/fortune/cs*/parkinson*

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/BIBLIOGRAFIE doc/fortune-cs.lsm doc/HISTORIE doc/INFO doc/LICENSE doc/README
%config %attr(755,root,root) /etc/profile.d/x-fortune-cs.sh
%config %attr(755,root,root) /etc/profile.d/x-fortune-cs.csh
%attr(755,root,root) /usr/games/fortune-cs.sh
/usr/share/games/fortune/cs
/usr/share/pixmaps/smile35x34.xpm
/usr/share/applications/fortune-cs.desktop
%attr(755,root,root) /usr/games/fortune-cs.tk

%post
if [ -r /etc/csh.cshrc -a ! -r /etc/csh.login ]
then
  echo %{name}: You have probably broken version of /etc/csh.* files 1>&2
fi

%changelog
* Tue Nov 18 2008 Milan Kerslager <kerslage@linux.cz>
- use EPEL's fortune-mod

* Mon Nov 17 2008 Milan Kerslager <kerslage@linux.cz> 2.0.9-1.ker.rhel5
- update to the latest release
- cstocs is no longer BuildPreReq
- KODOVANi is no longer required by ./install.sh
- profile scripts fixes

* Tue Feb 22 2005 Milan Kerslager <kerslage@linux.cz> 1.6.9-3.ker.rhel4
- rebuild for RHEL4

* Thu Oct 21 2004 Milan Kerslager <kerslage@linux.cz> 1.6.9-3.ker.rhel3
- better purging of unneeded files

* Tue Oct 19 2004 Milan Kerslager <kerslage@linux.cz> 1.6.9-2.ker.rhel3
- buildarch is not noarch
- economic fortunes removed because so many people dislike them, sorry
  (market, parkinson)

* Thu Feb 26 2004 Milan Kerslager <kerslage@linux.cz> 1.6.9-1.ker.rhel3
- rebuild for RHEL3
- updated to 1.6.9

* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz> 1.6.4-1.9
- rebuild for RH 9

* Tue Nov 26 2002 Milan Kerslager <kerslage@linux.cz> 1.6.4-1
- czech translations removed from SPEC file
- rebuild for 8.0
- fortunes in UTF-8 are included, login-script detect UTF locale from $LANG

* Wed May 15 2002 Zdenek Pytela <letty@mrakoplas.phil.muni.cz> 1.6-1
- update to v1.6, rebuild for 7.3

* Thu Nov 15 2001 Zdenek Pytela <letty@mrakoplas.phil.muni.cz> 1.5-1
- update to v1.5, rebuild for 7.2

* Tue May 15 2001 Milan Kerslager <kerslage@linux.cz> 1.4-2
- rebuild under 7.1 (doc dir has been changed - by RPM itself)
- release 1.4-2

* Tue Apr 24 2001 Zdenek Pytela <letty@mrakoplas.phil.muni.cz> 1.4-1
- update to v1.4

* Fri Feb 02 2001 Zdenek Pytela <letty@mrakoplas.phil.muni.cz> 1.3.2-1
- updates for RHL 7.0+, cookies version 1.3.2
- fix for postgres start at profile.d script

* Wed Nov  8 2000 Milan Kerslager <kerslage@linux.cz> 1.3.1-1
- update to v1.3.1 & rebuild for 7.0
- patch fixed - /usr/share/games/fortunes -> /usr/share/games/fortune

* Sat Apr 15 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- proper defattr and attr, Group(cs) added

* Fri Mar 31 2000 Zdenek Pytela <letty@mrakoplas.phil.muni.cz> 1.3-1
- updates for RH 6.2 (version 1.3)
- unifying the if's in the script

* Sun Oct  3 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated for 6.1cz (version 1.2.3.3)

* Sun Sep 26 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated, deleted postun script

* Fri Aug 27 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to version 1.2.2, pgp signed

* Thu Jul 15 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- cosmetic changes in spec file

* Wed Jun 30 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- scripts in /etc/profile.d/ can't have exit command in 
  their body !!! (kdm, xdm, ...)

* Tue May 25 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to 1.2 version
- minor changes and typo corrections in scripts

* Fri May 21 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- scripts in /etc/profile.d renamed to be interpretted AFTER lang.{,c}sh
- added support for ~/.fortune

* Wed May 19 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- better handling /etc/profile.d & csh bug
- minor fixes in /etc/profile.d/fortune-cs.{,c}sh
- group changed to match with fortune-mod package

* Thu Apr 29 1999 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- update to 1.1.9b8 version
- light simplification, test for dumb terminals
- added .lsm entry

* Tue Mar  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- RH bug (fortune-cs.csh can't be in /etc/profile.d)

* Tue Mar  2 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- fortunes updated to the 1.1.8b2 release
- added czech desription
- added test to fortune.{sh,csh}
- 1.1 release date fix
- file attr fix (two times, but now I know how to do it!)
- packager changed

* Fri Nov 20 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- added RHCN info. RHCN is finally up!!!

* Tue Oct 13 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to the 1.1 release
- deleted the RHCN info - it still seems RHCN is dead.
- directory cs-il2 renamed to cs (as ISO 8859-2 is the default).

* Thu Apr  2 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to the official 1.0 release
- made the package buildrooted
- made the spec file using %attr
- changed the Packager and Distribution for the RHCN.

